@import "~sass/media";
@import '~sass/variables';
.filter-list-heading {
    margin-bottom: 1vh;
    margin-top: 1vh;
}

.filter-list {
    font-size: 1rem;
    margin-bottom: 1vh;
}

.filter-list .mat-form-field {
    width: 100%;
}

.slimscroll {
    margin-top: 1vh;
}

.slimscroll::-webkit-scrollbar {
    width: 20px;
}

.slimscroll::-webkit-scrollbar-track {
    background: rgba(150, 126, 126, 0.795);
    border-left: 9px solid white;
    border-right: 9px solid white;
}

.slimscroll::-webkit-scrollbar-thumb {
    background: grey;
    border-left: 7px solid white;
    border-right: 7px solid white;
    border-radius: 9px;
}

.filterheight {
    max-height: 25vh;
}

.filter-search {
    height: 3.5vh;
}

.filter-top-heading {
    font-size: 19px;
    border-bottom: solid 2px grey;
    margin-bottom: 20px;
    width: 34.5vh;
}

.panel-title a:hover {
    text-decoration: none !important;
}

.container_checkbox {
    display: block;
    position: relative;
    // padding-left: 22%;
    margin-bottom: 1vh;
    cursor: pointer;
    font-size: 13px;
    font-weight: normal;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.container_checkbox input {
    // position: absolute;
    opacity: 0;
    cursor: pointer;
}
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: #e4e4e4;
}
.container_checkbox:hover input~.checkmark {
    background-color: #ccc;
}

.container_checkbox input:checked~.checkmark {
    background-color: $primary-color;
}
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}
.container_checkbox input:checked~.checkmark:after {
    display: block;
}
.container_checkbox .checkmark:after {
    left: 8px;
    top: 4px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}
.filter-data {
position: relative;
left: 0;
right: 0;
padding-left: 11%;
}
.seemore {
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, .1);
    width: 68vh;
    height: auto;
    box-shadow: 0 0px 26px 0 rgba(84, 84, 84, 0.23);
    z-index: 1;
    overflow-y: hidden;
    overflow-x: scroll;
}

.seemore1 {
    width: 100%;
}

.seemore1 li {
    padding: 0;
}

.seemore .container_checkbox {
    font-size: 13px;
    font-weight: normal;
    padding-left: 17%;
}
.seemore-txt-btn {
    font-size: 13px;
    color: #03a9f4;
    cursor: pointer;
}

/* filter tabs */

.panel-body {
    line-height: 1.5;
}

.panel-heading .accordion-toggle:before {
    font: normal normal normal 14px/1 FontAwesome;
    content: "\f0dd";
    float: left;
    color: grey;
    font-size: 1.1em;
    margin-top: 0;
}

.panel-heading .accordion-toggle.collapsed:before {
    content: "\f0da";
    margin-top: 11px !important;
}

.filter_title {
    font-size: 16px;
    color: grey;
}

.panel-top-pad {
    margin-top: 20px;
}

.filter-seemore-txt {
    color: $primary-color;
    font-size: 0.75rem;
    font-weight: bold;
    text-transform: uppercase;
}

::ng-deep .panel-body .mat-form-field-wrapper {
    width: 100%;
    font-size: 14px;
}

::ng-deep .btn-outline-primary:not(:disabled):not(.disabled):active {
    color: #000 !important;
    background-color: $primary-color !important;
    border-color: $primary-color !important;
}

::ng-deep .btn-outline-primary:hover {
    background-color: $primary-color !important;
    border-color: $primary-color !important;
}

::ng-deep .btn-outline-primary {
    color: #000 !important;
    background-color: $primary-color !important;
    border-color: $primary-color !important;
}

.dropdown-menu {
    padding: .5rem !important;
}
.price-slider {
    font-size: 10px;
}
::ng-deep .mat-expansion-panel-body {
    padding: 0 24px 1px !important;
}
::ng-deep.mat-checkbox-checked.mat-accent .mat-checkbox-background {
    background-color: $primary-color;
}

@include for-size(phone-only) {
    .seemore .container_checkbox {
        padding-left: 5%;
    }

    .seemore {
        width: 100%;
        top: 25px !important;
    }
    .seemore1 .col{
       min-width: 100%;
    }
}
@include for-size(tablet-portrait-up) {
    .seemore {
        width:78vh;
    }
    .filter-data{
        padding-left: 21%;
    }
}
@include for-size(tablet-landscape-up) {
    .seemore {
        width:78vh;
    }
    .filter-data{
        padding-left: 14%;
    }
}
